Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSACSConfiguration Class Reference

Configuration information for ACS. More...

`#import <CSACSConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the ACS provider is enabled. More...
CSServerInfo * | server
| The signaling server to connect with. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
NSURL * | serverURL
| The URL of the server to connect with. More...
NSTimeInterval | initialReconnectInterval
| The initial time interval between a connection failure and a reconnect attempt. More...
NSTimeInterval | maxReconnectInterval
| The maximum time interval between a connection failure and a reconnect attempt. More...

## Detailed Description

Configuration information for ACS.

## Property Documentation

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the ACS provider is enabled.

- (NSTimeInterval) initialReconnectInterval
| read write nonatomic assign

The initial time interval between a connection failure and a reconnect attempt.

If connection attempts continue to fail the reconnect interval will be progressively extended using a backoff algorithm based on this initial reconnect interval. The default is 2 seconds.

Set to zero to disable automatic reconnection attempts. Values < 0 or > 65535 are ignored.

- (NSTimeInterval) maxReconnectInterval
| read write nonatomic assign

The maximum time interval between a connection failure and a reconnect attempt.

The default is 1800 seconds. Values < 0 or > 65535 are ignored.

- (CSServerInfo*) server
| read write nonatomic strong

The signaling server to connect with.

- (NSURL*) serverURL
| read write nonatomic copy

The URL of the server to connect with.

CSServerInfo will be ignored if this URL is specified.

The documentation for this class was generated from the following file:

- CSACSConfiguration.h